react-apollo versions and peer dependencies

The table below has a list of all versions of react-apollo compatible peers dependencies.

Version Peer Dependency Versions
0.0.1 - 0.1.0
  • react @ ^0.14.0 || ^15.0.0-0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0
0.1.1 - 0.2.0
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0
0.2.1 - 0.3.0
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0 || ^0.2.0
0.3.1 - 0.3.17
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0 || ^0.2.0 || ^0.3.0
0.3.18 - 0.3.20
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0 || ^0.2.0 || ^0.3.0 || ^0.4.0
0.4.0
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.0
0.3.21
  • react @ 0.14.x || 15.* || ^15.0.0-rc
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.1.0 || ^0.2.0 || ^0.3.0 || ^0.4.0
0.4.1 - 0.4.7
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.0
0.5.0 - 0.5.6
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.12
0.5.7
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.15
0.5.8 - 0.5.9
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.20
0.5.10 - 0.5.11
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.21
0.5.12
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.21 || ^0.5.1
0.5.13
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
  • apollo-client @ ^0.4.21 || ^0.5.0
0.5.14 - 0.5.16
  • apollo-client @ ^0.4.21 || ^0.5.0
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.6.0 - 0.7.2
  • apollo-client @ ^0.4.21 || ^0.5.1
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.7.3 - 0.8.0
  • apollo-client @ ^0.4.21 || ^0.5.1 || ^0.6.0
  • react @ 0.14.x || 15.* || ^15.0.0
  • react-dom @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.8.1
  • apollo-client @ ^0.6.0
  • react @ 0.14.x || 15.* || ^15.0.0
  • react-dom @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.8.3
  • apollo-client @ ^0.6.0
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.9.0 - 0.12.0
  • apollo-client @ ^0.8.0
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
0.13.0 - 0.13.3
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
1.0.0 - 1.0.1
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
1.0.2
  • react @ 15.5.0
  • redux @ ^2.0.0 || ^3.0.0
1.1.0 - 1.1.1
  • react @ 0.14.x || 15.* || ^15.0.0
  • redux @ ^2.0.0 || ^3.0.0
1.1.2 - 1.4.15
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0-alpha
  • redux @ ^2.0.0 || ^3.0.0
1.4.16
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0-alpha
  • redux @ ^2.0.0 || ^3.0.0
2.0.0 - 2.0.1
  • apollo-client @ ^2.0.0
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0
2.0.3 - 2.0.4
  • apollo-client @ ^2.0.3
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0
2.1.0 - 2.1.9
  • apollo-client @ ^2.2.3
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0
2.1.11 - 2.2.2
  • apollo-client @ ^2.3.8
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0
2.2.3 - 2.3.2
  • apollo-client @ ^2.3.8
  • react @ 0.14.x || 15.* || ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.3.3
  • apollo-client @ ^2.3.8
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.4.0 - 2.4.1
  • apollo-client @ ^2.4.12
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.5.0
  • apollo-client @ ^2.5.0
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.5.1 - 2.5.5
  • apollo-client @ ^2.5.1
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.5.6
  • apollo-client @ beta
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
2.5.7 - 2.5.8
  • apollo-client @ ^2.6.3
  • react @ ^15.0.0 || ^16.0.0
  • react-dom @ ^15.0.0 || ^16.0.0
  • graphql @ ^0.11.0 || ^0.12.0 || ^0.13.0 || ^14.0.0
3.0.0
  • apollo-client @ ^2.6.3
  • graphql @ ^14.3.1
  • react @ ^16.8.0
  • react-dom @ ^16.8.0
3.0.1 - 3.1.5
  • @types/react @ ^16.8.0
  • apollo-client @ ^2.6.4
  • graphql @ ^14.3.1
  • react @ ^16.8.0
  • react-dom @ ^16.8.0